FS#17892 - [kernel26] doesn't include kernel manpages (as separate package)
Attached to Project:
Arch Linux
Opened by Tomas Mudrunka (harvie) - Monday, 18 January 2010, 18:27 GMT
Last edited by Andrea Scarpino (BaSh) - Saturday, 12 June 2010, 13:27 GMT
Opened by Tomas Mudrunka (harvie) - Monday, 18 January 2010, 18:27 GMT
Last edited by Andrea Scarpino (BaSh) - Saturday, 12 June 2010, 13:27 GMT
|
Details
Description: There is no man section 9 in archlinux. Kernel
manpages are part of kernel sources, so once the sources ar
unzipped, there can be packed into another package called
eg. kernel26-manpages. Here is sample PKGBUILD:
http://aur.archlinux.org/packages/kernel-man-pages/kernel-man-pages/PKGBUILD ok it's already in AUR, but i think that it will be better and simplier maintained/updated if it will be build from kernel26 PKGBUILD... implementation is quite simple... |
This task depends upon
Closed by Andrea Scarpino (BaSh)
Saturday, 12 June 2010, 13:27 GMT
Reason for closing: Implemented
Additional comments about closing: kernel26-manpages 2.6.34-1
Saturday, 12 June 2010, 13:27 GMT
Reason for closing: Implemented
Additional comments about closing: kernel26-manpages 2.6.34-1
http://aur.archlinux.org/packages/kernel-doc/kernel-doc/PKGBUILD
Arch is well documented, but i miss kernel documentation. i'd like to see up-to-date man+doc packages alongside with kernel releases.
please add it to ABS tree...
thx
--- /var/abs/core/kernel26/PKGBUILD 2010-03-29 06:06:02.000000000 +0200
+++ PKGBUILD 2010-03-29 17:09:46.000000000 +0200
@@ -2,12 +2,12 @@
# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
# Maintainer: Thomas Baechler <thomas@archlinux.org>
pkgbase="kernel26"
-pkgname=('kernel26' 'kernel26-firmware' 'kernel26-headers') # Build stock -ARCH kernel
+pkgname=('kernel26' 'kernel26-firmware' 'kernel26-headers' 'kernel26-manpages' 'kernel26-docs') # Build stock -ARCH kernel
# pkgname=kernel26-custom # Build kernel with a different name
_kernelname=${pkgname#kernel26}
_basekernel=2.6.32
pkgver=${_basekernel}.10
-pkgrel=1
+pkgrel=2
_patchname="patch-${pkgver}-${pkgrel}-ARCH"
arch=(i686 x86_64)
license=('GPL2')
@@ -213,3 +213,31 @@ package_kernel26-firmware() {
make INSTALL_MOD_PATH=${pkgdir} firmware_install || return 1
}
+package_kernel26-manpages() {
+ pkgdesc="Kernel hackers manual - Section 9 manpages that comes with the Linux kernel."
+ groups=('base')
+
+ cd ${srcdir}/linux-$_basekernel
+ make mrproper
+ make mandocs || return 1
+
+ install -d ${pkgdir}/usr/share/man/man9/
+ install ${srcdir}/linux-${pkgver}/Documentation/DocBook/man/*.9.gz \
+ ${pkgdir}/usr/share/man/man9/
+
+ find ${pkgdir} -type f -exec chmod 644 {} \;
+}
+
+package_kernel26-docs() {
+ pkgdesc="Kernel hackers manual - HTML documentation that comes with the Linux kernel."
+ groups=('base')
+
+ cd ${srcdir}/linux-$_basekernel
+ mkdir -p $pkgdir/usr/src/linux-$pkgver-ARCH
+ mv Documentation $pkgdir/usr/src/linux-$pkgver-ARCH
+ find $pkgdir -type f -exec chmod 444 {} \;
+ find $pkgdir -type d -exec chmod 755 {} \;
+ # remove a file already in kernel26 package
+ rm -f $pkgdir/usr/src/linux-$pkgver-ARCH/Documentation/DocBook/Makefile
+}
+
oh come on guys, this is not such difficult to do...